Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZImageLayer Class Reference
Image object and layer handling

Defines a layer in a image object. More...

Inheritance diagram for eZImageLayer:

## Public Member Functions
| __construct ( $imageObjectRef=null, $imageObject=null, $width=false, $height=false, $font=false)
| templateData ()
| setTemplateURI ( $uri)
| mergeLayer ( $image, $layerData, $lastLayerData)
Public Member Functions inherited from eZImageInterface
| __construct ( $imageObjectRef=null, $imageObject=null, $width=false, $height=false)
| isTruecolor ()
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| isProcessed ()
& | hasSize ()
& | imagePath ()
| setAlternativeText ( $text)
| alternativeText ()
| loadPNG ( $storedPath, $storedFile)
| loadJPEG ( $storedPath, $storedFile)
| loadGIF ( $storedPath, $storedFile)
| load ()
| destroy ()
| imageObject ( $createMissing=true)
| process ()
| processImage ()
| store ( $fileName, $filePath, $type)
| create ( $width, $height, $useTruecolor=null)
| __clone ()
| cloneImage ( $imageObject, $width, $height, $useTruecolor=null)
| width ()
| height ()
| setWidth ( $w)
| setHeight ( $h)
| setStoredFile ( $file, $path, $type)
| setFont ( $font)
| font ()
| copyImage ( $destinationImageObject, $imageObject, $destinationX, $destinationY, $sourceWidth, $sourceHeight, $sourceX=0, $sourceY=0)
| mergeImage ( $destinationImageObject, $imageObject, $destinationX, $destinationY, $sourceWidth, $sourceHeight, $sourceX=0, $sourceY=0, $transparency=0)
| blendImage ( $destinationImageObject, $imageObject, $destinationX, $destinationY, $sourceWidth, $sourceHeight, $sourceX=0, $sourceY=0)
| merge ( $imageObject, $x, $y, $width, $height)
| clear ( $color=false)
| allocateColor ( $name, $red, $green, $blue)
| color ( $name)
| textColor ()
| setTextColor ( $textColor)
| drawText (&$font, $textColor, $text, $x, $y, $angle, $imageObject=null)

## Static Public Member Functions
static | createForFile ( $fileName, $filePath, $fileType=false)
Static Public Member Functions inherited from eZImageInterface
static | unregisterImage ( $imageRef)
static | cleanupRegisteredImages ()
static | hasGD2 ()

## Public Attributes
| $TemplateURI
Public Attributes inherited from eZImageInterface
| $TextColor
| $Width
| $Height
| $Font
| $ImageObject
| $ImageObjectRef
| $StoredFile
| $StoredPath
| $StoredType
| $PaletteIndex
| $Palette
| $AlternativeText
| $IsTrueColor
| $IsProcessed

## Additional Inherited Members
Protected Member Functions inherited from eZImageInterface
| imageObjectInternal ( $createMissing=true)
Static Protected Member Functions inherited from eZImageInterface
static | registerImage ( $image)

## Detailed Description

Defines a layer in a image object.

Definition at line 18 of file ezimagelayer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageLayer::__construct | ( |  | $imageObjectRef = `null`,
|  |  | $imageObject = `null`,
|  |  | $width = `false`,
|  |  | $height = `false`,
|  |  | $font = `false`
| ) |  |

Definition at line 20 of file ezimagelayer.php.

References eZImageInterface\setFont().

## Member Function Documentation

## ◆ createForFile()

static eZImageLayer::createForFile | ( |  | $fileName,
|  |  | $filePath,
|  |  | $fileType = `false`
| ) |  |
| static

Creates a new file layer for the file $fileName in path $filePath.

Definition at line 88 of file ezimagelayer.php.

Referenced by eZTemplateImageOperator\loadImage(), and eZTemplateImageOperator\modify().

## ◆ mergeLayer()

eZImageLayer::mergeLayer | ( |  | $image,
|  |  | $layerData,
|  |  | $lastLayerData
| ) |  |

Tries to merge the current layer with the layer $lastLayerData onto the image object $image. Different kinds of layer classes will merge layers differently.

Reimplemented in eZImageTextLayer.

Definition at line 52 of file ezimagelayer.php.

References eZImageInterface\height(), eZImageInterface\imageObject(), eZImageInterface\isTruecolor(), and eZImageInterface\width().

## ◆ setTemplateURI()

eZImageLayer::setTemplateURI | ( |  | $uri | ) |

Sets the URI of the template to use for displaying it using the template engine to $uri.

Definition at line 42 of file ezimagelayer.php.

## ◆ templateData()

eZImageLayer::templateData | ( |  | ) |

A definition which tells the template engine which template to use for displaying the image.

Definition at line 32 of file ezimagelayer.php.

## Member Data Documentation

## ◆ $TemplateURI

eZImageLayer::$TemplateURI

Definition at line 97 of file ezimagelayer.php.

The documentation for this class was generated from the following file:

- ezimagelayer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.